#include <iostream>
using namespace std;

int main()
{

    int64_t broj;
    cin >> broj;
    int rezultat = 0;
    int zadnjiBroj;
    while(broj > 0){
        zadnjiBroj = broj % 10;
        switch(zadnjiBroj){
            case 0:
            break;
            case 1:
                rezultat++;
            break;
            case 2:
                rezultat++;
            break;
            case 3:
                rezultat += 2;
            break;
            case 4:
                rezultat += 2;
            break;
            case 5:
                rezultat++;
            break;
            case 6:
                rezultat += 2;
            break;
            case 7:
                rezultat += 2;
            break;
            case 8:
                rezultat += 3;
            break;
            case 9:
                rezultat += 3;
            break;
        }
        broj /= 10;

    }

    cout << rezultat;
    return 0;
}